Groups
Create Product Group
Creates a new product group.
Authorization
api_key api-key<token>
In: header
Request Body
application/json
Product group creation data including name, tenantAlias, and optional metadata
prorateUpgrades?boolean
metadata?
Construct a type with a set of properties K of type T
tenantAlias*string
name*string
Response Body
application/json
application/json
curl -X POST "https://api.paynowpro.com/api/v1/groups" \ -H "Content-Type: application/json" \ -d '{ "tenantAlias": "string", "name": "string" }'{
"id": "string",
"tenantAlias": "string",
"name": "string",
"metadata": {
"property1": null,
"property2": null
},
"createdAt": "string",
"updatedAt": "string",
"prorateUpgrades": true
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}